Skip to content

Preparing Mediated Networks

Android

You can download and integrate the MAX mediation adapters into your app in two ways:

Gradle
AppLovin recommends that you integrate adapters this way. AppLovin’s adapters’ POM files automatically integrate the mediated network’s SDK and its dependencies.
Open Source Adapters
If you require more flexibility in the integration, you can integrate AppLovin’s open source adapters. You are responsible for integrating the mediated SDKs and their dependencies. You can find these adapters in the AppLovn-MAX-SDK-Android GitHub repository.

Gradle

Choose which mediated ad networks you want to integrate by checking the boxes below. When you check those boxes, this page displays instructions specific to those networks.

This page also creates a customized UPL for you. Copy the customized UPL below into AppLovinMAX_UPL_Android.xml.

<AARImports>
<insertValue value="com.applovin.mediation,bidmachine-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,chartboost-adapter,+" /> <insertNewline/>
<insertValue value="com.google.android.gms,play-services-base,16.1.0" /> <insertNewline/>
<insertValue value="com.applovin.mediation,fyber-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,google-ad-manager-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,google-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,hyprmx-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,inmobi-adapter,+" /> <insertNewline/>
<insertValue value="com.squareup.picasso,picasso,2.71828" /> <insertNewline/>
<insertValue value="androidx.recyclerview,recyclerview,1.1.0" /> <insertNewline/>
<insertValue value="com.applovin.mediation,ironsource-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,vungle-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,line-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,maio-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,facebook-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,mintegral-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,mobilefuse-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,moloco-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,ogury-presage-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,bytedance-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,smaato-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,unityads-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,verve-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,mytarget-adapter,+" /> <insertNewline/>
<insertValue value="com.applovin.mediation,yandex-adapter,+" /> <insertNewline/>
</AARImports>
<buildGradleAdditions>
<insert>
allprojects {
// You may add any additional repositories for other ad networks here
repositories {
maven { url "https://artifactory.bidmachine.io/bidmachine" }
maven { url "https://cboost.jfrog.io/artifactory/chartboost-ads/" }
maven { url "https://android-sdk.is.com" }
maven { url "https://imobile-maio.github.io/maven" }
maven { url "https://dl-maven-android.mintegral.com/repository/mbridge_android_sdk_oversea" }
maven { url "https://maven.ogury.co" }
maven { url "https://artifact.bytedance.com/repository/pangle" }
maven { url "https://s3.amazonaws.com/smaato-sdk-releases/" }
maven { url "https://verve.jfrog.io/artifactory/verve-gradle-release" }
}
}
</insert>
</buildGradleAdditions>

iOS

Unreal Engine requires that you manually integrate third-party frameworks for iOS. It does not support dependency managers like CocoaPods. The MAX Unreal GitHub repository includes a Python script — install_pods.py — to assist with automatically installing dependencies from a Podfile. This script downloads AppLovin adapters and third-party dependencies, and configures your project with build settings to link them.

Requirements

  • Python 3.6+
  • CocoaPods

Instructions

  1. Download install_pods.py from AppLovin’s MAX Unreal GitHub repository.
  2. Copy this script into the Source/ThirdParty/IOS/ directory of the AppLovin MAX Unreal plugin.
  3. Create a Podfile in that directory for the adapters you want to integrate.
  4. Run install_pods.py to download the adapters and dependencies. Follow any additional instructions from the script to complete installation.
  5. Follow the instructions in Preparing Mediated Networks (iOS). Add any necessary changes to Info.plist in AppLovinMAX_UPL_IOS.xml.